package com.jasamedika.medifirst2000.entities;

import java.io.Serializable;
import org.hibernate.envers.Audited;
import javax.persistence.*;

import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.BaseMaster;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;
import org.hibernate.envers.Audited;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

/**
 * class Printer
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "Printer_M")
public class Printer extends BaseMaster {
	@Column(name = "PrinterDefault", nullable = true, length = 100)
	@Caption(value = "Printer Default")
	private String printerDefault;

	public void setPrinterDefault(String printerDefault) {
		this.printerDefault = printerDefault;
	}

	public String getPrinterDefault() {
		return this.printerDefault;
	}

	@Column(name = "PrinterSizeCard", nullable = true, length = 100)
	@Caption(value = "Printer Size Card")
	private String printerSizeCard;

	public void setPrinterSizeCard(String printerSizeCard) {
		this.printerSizeCard = printerSizeCard;
	}

	public String getPrinterSizeCard() {
		return this.printerSizeCard;
	}

	@Column(name = "PrinterSizeFull1", nullable = true, length = 100)
	@Caption(value = "Printer Size Full1")
	private String printerSizeFull1;

	public void setPrinterSizeFull1(String printerSizeFull1) {
		this.printerSizeFull1 = printerSizeFull1;
	}

	public String getPrinterSizeFull1() {
		return this.printerSizeFull1;
	}

	@Column(name = "PrinterSizeFull2", nullable = true, length = 100)
	@Caption(value = "Printer Size Full2")
	private String printerSizeFull2;

	public void setPrinterSizeFull2(String printerSizeFull2) {
		this.printerSizeFull2 = printerSizeFull2;
	}

	public String getPrinterSizeFull2() {
		return this.printerSizeFull2;
	}

	@Column(name = "PrinterSizeHalf1", nullable = true, length = 100)
	@Caption(value = "Printer Size Half1")
	private String printerSizeHalf1;

	public void setPrinterSizeHalf1(String printerSizeHalf1) {
		this.printerSizeHalf1 = printerSizeHalf1;
	}

	public String getPrinterSizeHalf1() {
		return this.printerSizeHalf1;
	}

	@Column(name = "PrinterSizeHalf2", nullable = true, length = 100)
	@Caption(value = "Printer Size Half2")
	private String printerSizeHalf2;

	public void setPrinterSizeHalf2(String printerSizeHalf2) {
		this.printerSizeHalf2 = printerSizeHalf2;
	}

	public String getPrinterSizeHalf2() {
		return this.printerSizeHalf2;
	}

	@Column(name = "PrinterSizePer16_1", nullable = true, length = 100)
	@Caption(value = "Printer Size Per16_1")
	private String printerSizePer16_1;

	public void setPrinterSizePer16_1(String printerSizePer16_1) {
		this.printerSizePer16_1 = printerSizePer16_1;
	}

	public String getPrinterSizePer16_1() {
		return this.printerSizePer16_1;
	}

	@Column(name = "PrinterSizePer16_2", nullable = true, length = 100)
	@Caption(value = "Printer Size Per16_2")
	private String printerSizePer16_2;

	public void setPrinterSizePer16_2(String printerSizePer16_2) {
		this.printerSizePer16_2 = printerSizePer16_2;
	}

	public String getPrinterSizePer16_2() {
		return this.printerSizePer16_2;
	}

	@Column(name = "PrinterSizePer32_1", nullable = true, length = 100)
	@Caption(value = "Printer Size Per32_1")
	private String printerSizePer32_1;

	public void setPrinterSizePer32_1(String printerSizePer32_1) {
		this.printerSizePer32_1 = printerSizePer32_1;
	}

	public String getPrinterSizePer32_1() {
		return this.printerSizePer32_1;
	}

	@Column(name = "PrinterSizePer32_2", nullable = true, length = 100)
	@Caption(value = "Printer Size Per32_2")
	private String printerSizePer32_2;

	public void setPrinterSizePer32_2(String printerSizePer32_2) {
		this.printerSizePer32_2 = printerSizePer32_2;
	}

	public String getPrinterSizePer32_2() {
		return this.printerSizePer32_2;
	}

	@Column(name = "PrinterSizePer4_1", nullable = true, length = 100)
	@Caption(value = "Printer Size Per4_1")
	private String printerSizePer4_1;

	public void setPrinterSizePer4_1(String printerSizePer4_1) {
		this.printerSizePer4_1 = printerSizePer4_1;
	}

	public String getPrinterSizePer4_1() {
		return this.printerSizePer4_1;
	}

	@Column(name = "PrinterSizePer4_2", nullable = true, length = 100)
	@Caption(value = "Printer Size Per4_2")
	private String printerSizePer4_2;

	public void setPrinterSizePer4_2(String printerSizePer4_2) {
		this.printerSizePer4_2 = printerSizePer4_2;
	}

	public String getPrinterSizePer4_2() {
		return this.printerSizePer4_2;
	}

	@Column(name = "PrinterSizePer64_1", nullable = true, length = 100)
	@Caption(value = "Printer Size Per64_1")
	private String printerSizePer64_1;

	public void setPrinterSizePer64_1(String printerSizePer64_1) {
		this.printerSizePer64_1 = printerSizePer64_1;
	}

	public String getPrinterSizePer64_1() {
		return this.printerSizePer64_1;
	}

	@Column(name = "PrinterSizePer64_2", nullable = true, length = 100)
	@Caption(value = "Printer Size Per64_2")
	private String printerSizePer64_2;

	public void setPrinterSizePer64_2(String printerSizePer64_2) {
		this.printerSizePer64_2 = printerSizePer64_2;
	}

	public String getPrinterSizePer64_2() {
		return this.printerSizePer64_2;
	}

	@Column(name = "PrinterSizePer8_1", nullable = true, length = 100)
	@Caption(value = "Printer Size Per8_1")
	private String printerSizePer8_1;

	public void setPrinterSizePer8_1(String printerSizePer8_1) {
		this.printerSizePer8_1 = printerSizePer8_1;
	}

	public String getPrinterSizePer8_1() {
		return this.printerSizePer8_1;
	}

	@Column(name = "PrinterSizePer8_2", nullable = true, length = 100)
	@Caption(value = "Printer Size Per8_2")
	private String printerSizePer8_2;

	public void setPrinterSizePer8_2(String printerSizePer8_2) {
		this.printerSizePer8_2 = printerSizePer8_2;
	}

	public String getPrinterSizePer8_2() {
		return this.printerSizePer8_2;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.printer_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.printer_m_id_seq", sequenceName = "public.printer_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}